
open Graph.Pack.Digraph
(* to get undirected graphs, change to 
   open Graph.Pack.Graph
*)

let show g =
  let tmp = Filename.temp_file "graph" ".dot" in
  dot_output g tmp;
  ignore (Sys.command ("dot -Tps " ^ tmp ^ " | gv -"));
  Sys.remove tmp

let g = Rand.graph ~v:10 ~e:20 ()
let () = show g

let g' = complement g
let () = show g'

let g' = mirror g
let () = show g'

let g' = transitive_closure ~reflexive:true g
let () = show g'




